##### basic_file::operator= (2 of 2 overloads)

Move-assign a `basic_file` from a file of another executor type.

    template<
        typename Executor1>
    constraint< is_convertible< Executor1, Executor >::value, basic_file & >::type operator=(
        basic_file< Executor1 > && other);

This assignment operator moves a file from one object to another.

###### Parameters

other

  The other `basic_file` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_file(const executor_type&) constructor`.